/*
 * bdy.c
 * author:  Celeste Fowler, Mark Phillips
 * date:  June 12, 1992
 */

#include <stdio.h>
#include "geom.h"
#include "bdy.h"

main(int argc, char *argv[]) {
  Geom *o, *v;
  float p;

  if (argc > 1) sscanf(argv[1], "%f", &p);
  else p = 0.0;

  o = GeomFLoad(stdin, NULL);
  v = Bdy(o, p);

  GeomFSave(v, stdout, NULL);

  fflush(stdout);

  GeomDelete(v);
  GeomDelete(o);

  fclose(stdin);
  fclose(stdout);
  exit(0);

}
